Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » GMF (Graphical Modeling Framework) » Problem to use old models with GMF 2.2
Problem to use old models with GMF 2.2 [message #226890] Tue, 21 April 2009 15:48 Go to next message
Patrick Tessier is currently offline Patrick TessierFriend
Messages: 199
Registered: July 2009
Location: Paris Saclay, France
Senior Member
Hi,

With gmf (version for Ganymede), I have done gmfmap, gmfgen files. Now, I
have downloaded Galileo M6 modeling and I have following mistakes.
- when I open may gmfgen file, I see anything in type model Facet: meta
class fied is blank. (but in the xml file there is a reference). When I
tried to edit it, I obtained an exception:

java.lang.ClassCastException: The value of type 'class
org.eclipse.uml2.codegen.ecore.genmodel.impl.GenModelImpl' must be of type
'org.eclipse.emf.ecore.impl.EClassImpl@d4c535 (name: GenModel)
(instanceClassName: null) (abstract: false, interface: false)'

- I try to validate this file, I have the same kind of mistake.

- I used also an extension model of the genModel, and now when I run with
the M6 version. I obtain the following mistake.

org.eclipse.emf.ecore.xmi.ClassNotFoundException: Class
'PapyrusExtensionRootNode' not found.
(platform:/resource/org.eclipse.papyrus.diagram.clazz/model/ classdiagram.gmfgen,
3841, 53)
at
org.eclipse.emf.ecore.xmi.impl.XMLHandler.validateCreateObje ctFromFactory(XMLHandler.java:2229)
at
org.eclipse.emf.ecore.xmi.impl.XMLHandler.validateCreateObje ctFromFactory(XMLHandler.java:2220)
at
org.eclipse.emf.ecore.xmi.impl.XMLHandler.createObjectByType (XMLHandler.java:1318)
at
org.eclipse.emf.ecore.xmi.impl.XMLHandler.createTopObject(XM LHandler.java:1454)
at
org.eclipse.emf.ecore.xmi.impl.XMLHandler.processElement(XML Handler.java:1019)
at
org.eclipse.emf.ecore.xmi.impl.XMIHandler.processElement(XMI Handler.java:87)
at
org.eclipse.emf.ecore.xmi.impl.XMLHandler.startElement(XMLHa ndler.java:1001)
at
org.eclipse.emf.ecore.xmi.impl.XMLHandler.startElement(XMLHa ndler.java:712)
at
org.eclipse.emf.ecore.xmi.impl.XMIHandler.startElement(XMIHa ndler.java:167)
at
com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser .startElement(Unknown
Source)

Thanks for your help,
Patrick
Re: Problem to use old models with GMF 2.2 [message #226982 is a reply to message #226890] Wed, 22 April 2009 10:56 Go to previous messageGo to next message
Alexander Shatalin is currently offline Alexander ShatalinFriend
Messages: 2928
Registered: July 2009
Senior Member
Hello Patrick,

Did you used "Migrate to GMF 2.2" popup menu action to update existing .gmfgen
model?

-----------------
Alex Shatalin
Re: Problem to use old models with GMF 2.2 [message #227024 is a reply to message #226982] Wed, 22 April 2009 14:04 Go to previous messageGo to next message
Patrick Tessier is currently offline Patrick TessierFriend
Messages: 199
Registered: July 2009
Location: Paris Saclay, France
Senior Member
Hum,

So It seems that there is an error in the M6 because I see only the context
menu"Migrate to GMF 2.1"

"Alex Shatalin" <vano@borland.com> a
Re: Problem to use old models with GMF 2.2 [message #227116 is a reply to message #227024] Thu, 23 April 2009 12:48 Go to previous messageGo to next message
Alexander Shatalin is currently offline Alexander ShatalinFriend
Messages: 2928
Registered: July 2009
Senior Member
Hello Patrick,

I've clarified this question and:
1. Migration code was not ibcluded into M6. You need to download one of the
latest GMF builds to make use of migration.
2. Migration can be performed explicitly - using corresponding popup menu
action or implicitly by openning old model EMF resource and saving it.

-----------------
Alex Shatalin
Re: Problem to use old models with GMF 2.2 [message #227175 is a reply to message #227116] Thu, 23 April 2009 14:06 Go to previous message
Patrick Tessier is currently offline Patrick TessierFriend
Messages: 199
Registered: July 2009
Location: Paris Saclay, France
Senior Member
Thanks for your help, I will do it.

Patrick,

"Alex Shatalin" <vano@borland.com> a
Previous Topic:Label on canvas does not display after upgrade
Next Topic:decorate a rectangle
Goto Forum:
  


Current Time: Fri Nov 24 04:00:06 GMT 2017

Powered by FUDForum. Page generated in 0.02165 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software